Package org.springframework.security.web.server

# Interface WebFilterChainProxy.WebFilterChainDecorator

All Known Implementing Classes:
  `ObservationWebFilterChainDecorator`, `WebFilterChainProxy.DefaultWebFilterChainDecorator`

Enclosing class:
  WebFilterChainProxy

public static interface WebFilterChainProxy.WebFilterChainDecorator
A strategy for decorating the provided filter chain with one that accounts for the `SecurityFilterChain` for a given request.

Since:
  6.0

## Method Summary

Modifier and Type
Method
Description
`default org.springframework.web.server.WebFilterChain`
`decorate(org.springframework.web.server.WebFilterChain original)`
Provide a new `WebFilterChain` that accounts for needed security considerations when there are no security filters.
`org.springframework.web.server.WebFilterChain`
`decorate(org.springframework.web.server.WebFilterChain original, List<org.springframework.web.server.WebFilter> filters)`
Provide a new `WebFilterChain` that accounts for the provided filters as well as the original filter chain.

## Method Details

### decorate

default org.springframework.web.server.WebFilterChain decorate(org.springframework.web.server.WebFilterChain original)
Provide a new `WebFilterChain` that accounts for needed security considerations when there are no security filters.

Parameters:
  `original` - the original `WebFilterChain`
Returns:
  a security-enabled `WebFilterChain`

### decorate

org.springframework.web.server.WebFilterChain decorate(org.springframework.web.server.WebFilterChain original, List<org.springframework.web.server.WebFilter> filters)
Provide a new `WebFilterChain` that accounts for the provided filters as well as the original filter chain.

Parameters:
  `original` - the original `WebFilterChain`
  `filters` - the security filters
Returns:
  a security-enabled `WebFilterChain` that includes the provided filters